using Netina.Common.Models;
using Netina.Domain.Dtos.SmallDtos;
using Netina.Domain.Enums;

namespace Netina.Core.Abstracts;

public interface IStorageService : IScopedDependency
{
    Task<string> UploadObjectFromFileAsync(string fileName, string filePath, string contentType, byte[] fileBytes, bool fixName = true);
    Task<string> UploadObjectFromFileAsync(string fileName, string filePath, string contentType, Stream fileStream, bool fixName = true);

    Task<List<StorageFileSDto>> GetStorageFiles(StorageFileType fileType);
}